# Contributing to the this project

Before you begin:

- This project uses [Projen](https://github.com/projen/projen) and is based on the Projen project type [`awscdk-construct`](https://github.com/projen/projen/blob/main/API.md#projen-awscdkconstructlibrary)
- Please read and adhere to the [Code of Conduct](./CODE_OF_CONDUCT.md)
- Check out [existing issues](https://github.com/marleytech/mt-awscdk-constructs/issues) and [Pull Requests](https://github.com/marleytech/mt-awscdk-constructs/pulls).

## Project Configuration

To configure the project, update the `.projenrc.ts` file.

### Project Tooling

:information_source: You can install `projen` globally using `npm i -g projen` this allows you to run Projen commands with `projen <COMMAND>`. Alternatively you can run Projen with `npx`, e.g. `npx projen <COMMAND>`

The examples in this README will assume you have Projen installed globally.

### Projen Commands

For a full list of available Projen commands you can run `projen help`. However, the most useful commands are:

- `projen` - Update the project to reflect any new changes made to `.projenrc.ts`
- `projen build` - Build the project
- `projen test` - Run the project's tests
